#ifndef SHARED_SUPER_LIST_H
#define SHARED_SUPER_LIST_H

typedef struct course_list_node
{
   char crs[MAX_PATH +1];
   struct course_list_node *next;

}COURSE_LIST_NODE;



COURSE_LIST_NODE * excluding_delete_course_list(char *file, char *crs);
void write_to_course_file(COURSE_LIST_NODE *head, char *file);
void super_free_course_list(COURSE_LIST_NODE *head);
COURSE_LIST_NODE * build_course_list(FILE *fp);
void super_free_course_list(COURSE_LIST_NODE *head);




#endif
